Bug 275871 - Review Request: aldrin - Modular music sequencer/tracker
Review Request: aldrin - Modular music sequencer/tracker
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 275831
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-04 05:24 EDT by Alexander Kahl
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.11-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-28 17:21:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Alexander Kahl 2007-09-04 05:24:24 EDT
Spec URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SPECS/aldrin.spec
SRPM URL: http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SRPMS/aldrin-0.11-1.fc7.src.rpm
Description: Aldrin is a powerful music composition software featuring a flexible audio routing system commonly found in expensive audio software, enabling you to mix, split, mutilate and modify audio signals emitted by software synthesizers and samples.


--

I'm still searching for a sponsor.
Comment 1 Mamoru TASAKA 2007-09-14 06:26:27 EDT
(Removing NEEDSPONSOR)
Comment 2 Alexander Kahl 2007-09-18 06:33:37 EDT
Updated Spec URL:
http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SPECS/aldrin.spec
Updated SRPM URL:
http://prelive.iconmobile.com/dev31/fedora-icm-repo/Fedora/7/SRPMS/aldrin-0.11-2.fc7.src.rpm

Fixed issues:
- updated requires to new libzzub w/ integrated pyzzub
- removed redundant requires
- fixed rpm path macros
- fixed CREDITS encoding

Build from scratch was successful:
http://koji.fedoraproject.org/koji/taskinfo?taskID=163904
Comment 3 Mamoru TASAKA 2007-09-18 12:19:59 EDT
For 0.11-2:

* SourceURL
  - Please change source URL accroding to:
    http://fedoraproject.org/wiki/Packaging/SourceURL

* Macros
  - Use macros. /usr should be %_prefix .

* Usage unification
  - Choose if you will use macros for commands as much as
    possible, or you won't use macros for commands.
    For example, you use %__mv for mv, while you don't use
    %__rm .
  - Also, choose %buildroot or $RPM_BUILD_ROOT

* ldconfig
  - Why must this package call ldconfig?

* Docdir
--------------------------------------------------------
[tasaka1@localhost ~]$ ls -lad /usr/share/doc/aldrin*
drwxr-xr-x 4 root root 4096 2007-09-18 22:04 /usr/share/doc/aldrin
drwxr-xr-x 2 root root 4096 2007-09-18 22:04 /usr/share/doc/aldrin-0.11
--------------------------------------------------------
  - "scons install" installs some files under /usr/share/doc/aldrin,
    while "%doc ChangeLog CREDITS INSTALL LICENCE" will install
    them to /usr/share/doc/aldrin-0.11. Please unify the documents'
    directory.

* Python module dependency
  ! This is always hard work, however please do !!
  - Please check python module dependency for this package.

    EXAMPLE:
      /usr/share/aldrin/patterns.py contains the line:
---------------------------------------------------------
    29  import pango
---------------------------------------------------------
      This means that aldrin should have 
      "Requires: pygtk2".
    i.e. You have to check all "import foo" or
         "from foo import bar" sentence and add to the Requires the
         packages which provides those modules.
         Note that some "import" sentences may be additional
         requirements and may not be needed.

* scripts
  Please check:
  http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
  - This package installs icons under /usr/share/icons/hicolor
    and GTK icon cache must be updated.
  - The desktop file in this package has MimeType info and 
    desktop database must be updated.
Comment 4 Alexander Kahl 2007-09-18 15:30:21 EDT
Updated Spec URL: http://akahl.fedorapeople.org/aldrin.spec
Updated SRPM URL: http://akahl.fedorapeople.org/aldrin-0.11-3.fc7.src.rpm

Fixed issues:
- generic sf.net source url
- adapted macros wherever feasible (both paths and commands)
- unified buildroot style
- removed redundant ldconfig update call
- new patch to rectify aldrin's installation doc directory and file list
- added missing python module requirement
- added update calls for GTK icon cache and desktop database

Build from scratch:
http://koji.fedoraproject.org/koji/taskinfo?taskID=164795

rpmlint yields nothing.

I've checked all modules revealed through grep'ing imports in
/usr/share/aldrin/*.py, they're all part of either Python, libzzub/pyzzub, pygtk
or aldrin itself. Hope I didn't miss anything nevertheless.
Comment 5 Mamoru TASAKA 2007-09-19 02:58:47 EDT
For -3:

* Again docdir
  - This time when I
     * launch aldrin
     * choose Help -> Help
    browser try to open //usr/share/doc/aldrin/html/index.html ,
    which is not found. Perhaps the related part in
    main.py:
-------------------------------------------------------
   851          def on_help_contents(self, event):
   852                  """
   853                  Event handler triggered by the help menu option.
   854                  
   855                  @param event: menu event.
   856                  @type event: wx.MenuEvent
   857                  """
   858                  import webbrowser               
   859                 
webbrowser.open_new(filepath('../doc/aldrin/html/index.html'))
   860                          
--------------------------------------------------

Comment 6 Alexander Kahl 2007-09-19 10:34:39 EDT
I just had to realize that aldrin's sources also reference helpfiles from
libzzub that are not included in 0.2.3-7. Shall I open a new bug for libzzub and
release -8 with another patch or open the old one?
Comment 7 Mamoru TASAKA 2007-09-19 10:47:43 EDT
(In reply to comment #6)
> I just had to realize that aldrin's sources also reference helpfiles from
> libzzub that are not included in 0.2.3-7. Shall I open a new bug for libzzub and
> release -8 with another patch or open the old one?

Just fix libzzub. You don't have to open a bug.
Comment 8 Mamoru TASAKA 2007-09-21 13:01:11 EDT
Well, now would you fix the issue in comment 5?
Comment 9 Alexander Kahl 2007-09-24 05:54:15 EDT
Of course, right now I'm just busy with other work but will handle the issues
ASAP, promised.
Comment 10 Alexander Kahl 2007-09-25 15:32:32 EDT
Updated Spec URL: http://akahl.fedorapeople.org/aldrin.spec
Updated SRPM URL: http://akahl.fedorapeople.org/aldrin-0.11-4.fc7.src.rpm

The updated patch fixes both doc loading issues, for libzzub's plugin docs and
aldrin's itself.
Comment 11 Mamoru TASAKA 2007-09-26 02:02:56 EDT
New patch seems to work well, then 
------------------------------------------------------------
diff -up aldrin-0.11/share/aldrin/router.py.docfix
aldrin-0.11/share/aldrin/router.py
--- aldrin-0.11/share/aldrin/router.py.docfix   2007-09-25 21:16:54.000000000 +0200
+++ aldrin-0.11/share/aldrin/router.py  2007-09-25 21:17:19.000000000 +0200
@@ -698,8 +698,8 @@ class ParameterDialog(gtk.Dialog):
                uri = filenameify(self.pluginloader.get_uri())
                name = filenameify(self.pluginloader.get_name())                
                helpfilepaths = [
-                       filepath('../doc/zzub/plugins/' + uri + '/index.html'),
-                       filepath('../doc/zzub/plugins/' + name + '/index.html'),
+                       filepath('../doc/libzzub-0.2.3/plugins/' + uri +
'/index.html'),
+                       filepath('../doc/libzzub-0.2.3/plugins/' + name +
'/index.html'),
                ]
                for path in helpfilepaths:
                        print "searching for '%s'..." % path
-------------------------------------------------------------
  It may be better that this aldrin require specific version
  of pyzzub, i.e.
  "Requires: pyzzub = 0.2.3"
Comment 12 Alexander Kahl 2007-09-26 22:03:13 EDT
Sounds perfectly reasonable.

Updated Spec URL: http://akahl.fedorapeople.org/aldrin.spec
Updated SRPM URL: http://akahl.fedorapeople.org/aldrin-0.11-5.fc7.src.rpm

Fixed issues:
- nailed to pyzzub version 0.2.3 for docpath compatibility
Comment 13 Mamoru TASAKA 2007-09-26 22:19:41 EDT
Okay.

----------------------------------------------------------------
    This package (aldrin) is APPROVED by me
----------------------------------------------------------------
Comment 14 Alexander Kahl 2007-09-27 08:51:44 EDT
New Package CVS Request
=======================
Package Name: aldrin
Short Description: Modular music sequencer/tracker
Owners: akahl
Branches: F-7
InitialCC:
Cvsextras Commits: yes

Comment 15 Kevin Fenzi 2007-09-27 12:26:14 EDT
cvs done.
Comment 16 Alexander Kahl 2007-09-27 15:29:59 EDT
All builds successful.
Comment 17 Fedora Update System 2007-09-28 17:21:58 EDT
aldrin-0.11-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.